#############################################################################
##
#W openmath.gd              The SCSCP package             Alexander Konovalov
#W                                                               Steve Linton
##
#H $Id: openmath.gd 2848 2009-04-19 11:45:11Z alexk $
##
#############################################################################


#############################################################################
##
##  InfoSCSCP
##  
##  We declare new Info class for our package. The default level is equal to
##  one and mean that only some basic information messages will be printed.
##  To change the Infolevel to k, use the command SetInfoLevel(InfoSCSCP,k)
##
DeclareInfoClass("InfoSCSCP");

DeclareGlobalFunction( "OMGetObjectWithAttributes" );

DeclareGlobalFunction( "OMgetObjectXMLTreeWithAttributes" );

DeclareGlobalFunction( "OMPutProcedureCall" );

DeclareGlobalFunction( "OMPutProcedureCompleted" );

DeclareGlobalFunction( "OMPutError" );

DeclareGlobalFunction( "OMPutProcedureTerminated" );